/**
 * InternalFunc 部件模型
 *
 * @export
 * @class InternalFuncModel
 */
export default class InternalFuncModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof InternalFuncGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof InternalFuncGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'author',
          prop: 'author',
          dataType: 'TEXT',
        },
        {
          name: 'press',
          prop: 'press',
          dataType: 'TEXT',
        },
        {
          name: 'ibizbookname',
          prop: 'ibizbookname',
          dataType: 'TEXT',
        },
        {
          name: 'price',
          prop: 'price',
          dataType: 'CURRENCY',
        },
        {
          name: 'ibizbookid',
          prop: 'ibizbookid',
          dataType: 'GUID',
        },
        {
          name: 'type',
          prop: 'type',
          dataType: 'TEXT',
        },
        {
          name: 'srfmajortext',
          prop: 'ibizbookname',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'ibizbookid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'ibizbookid',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'ibizbook',
          prop: 'ibizbookid',
        },

        {
          name:'size',
          prop:'size',
          dataType: 'QUERYPARAM'
        },
        {
          name:'query',
          prop:'query',
          dataType: 'QUERYPARAM'
        },
        {
          name:'filter',
          prop:'filter',
          dataType: 'QUERYPARAM'
        },
        {
          name:'page',
          prop:'page',
          dataType: 'QUERYPARAM'
        },
        {
          name:'sort',
          prop:'sort',
          dataType: 'QUERYPARAM'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata',
          dataType: 'QUERYPARAM'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}